質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

91.35%

  • iOS

    2957questions

    iOSとは、Apple製のスマートフォンであるiPhoneやタブレット端末のiPadに搭載しているオペレーションシステム(OS)です。その他にもiPod touch・Apple TVにも搭載されています。

  • Cordova

    293questions

    Cordovaは様々なデバイスで使うことができるオープンソースなモバイル用開発プラットフォームです。開発者に各デバイスの元のプラットフォームで開発する必要をなくし、HTML・JavaScript・CSSなどの一般的なウェブのテクノロジーを使ってすべてのデバイスで展開することができるモバイルのアプリケーションを生成することを可能にします。

  • Ionic

    53questions

    Ionicは、AngularJSベースのモバイルアプリ向けUIフレームワークです。Apache Cordovaを拡張して作られているため、モバイルアプリ作成に適しています。シンプルなUIも特徴です。

  • Angular

    26questions

【Cordova】ionic cordova build ios エラー

解決済

回答 1

投稿 2017/12/04 09:33 ・編集 2017/12/04 16:17

  • 評価
  • クリップ 0
  • VIEW 60

gucchi28

score 19

前提・実現したいこと

 実現したいこと

  • Cordova + ionic 2 でiOSアプリを作成したい

 前提

  • 開発環境: MacBook Air、macOS High Sierra
  • Cordova、ionicインストール済み
user-no-MacBook-Air:{Appname} user$ cordova --version
7.1.0
user-no-MacBook-Air:{Appname} user$ ionic --version
3.19.0
user-no-MacBook-Air:{Appname} user$ node --version
v8.9.1
user-no-MacBook-Air:{Appname} user$ npm --version
5.5.1

発生している問題・エラーメッセージ

ionic cordova build ios実行時に下記エラー発生

user-no-MacBook-Air:{Appname} user$ ionic cordova build ios
Error: Cannot find module '@angular/tsc-wrapped/src/tsc'
    at Function.Module._resolveFilename (module.js:536:15)
    at Function.Module._load (module.js:466:25)
    at Module.require (module.js:579:17)
    at require (internal/module.js:11:18)
    at Object.<anonymous> (/Users/user/Documents/{app}/{Appname}/node_modules/@ionic/app-scripts/dist/aot/aot-compiler.js:6:13)
    at Module._compile (module.js:635:30)
    at Object.Module._extensions..js (module.js:646:10)
    at Module.load (module.js:554:32)
    at tryModuleLoad (module.js:497:12)
    at Function.Module._load (module.js:489:3)

試したこと

  • Angular CLIに問題があると考え、下記を実行
    npm uninstall -g angular-cli
    npm cache clean --force
    sudo npm install -g angular-cli@latest
    →解決せず。

  • npm install --save-dev @angular/tsc-wrappedを実行

WARN registry Unexpected warning for https://registry.npmjs.org/: Miscellaneous Warning EINTEGRITY: sha512-try0/JqxPLF9nOjvSta7tVondkP5dwgyLDjVoyMDlmjugT2lRZ1OfsrYTkCd2hkDnJTKRbO/Rl3orm8vlsUzbA== integrity checksum failed when using sha512: wanted sha512-try0/JqxPLF9nOjvSta7tVondkP5dwgyLDjVoyMDlmjugT2lRZ1OfsrYTkCd2hkDnJTKRbO/Rl3orm8vlsUzbA== but got sha1-Aoam3ovkJkEzhZTpfM6nXwosWF8=. (24475 bytes)
WARN registry Using stale package data from https://registry.npmjs.org/ due to a request error during revalidation.
npm WARN angular-calendar@0.21.3 requires a peer of @angular/animations@>=4.0.0 <6.0.0 but none is installed. You must install peer dependencies yourself.

npm ERR! Cannot read property '0' of undefined

npm ERR! A complete log of this run can be found in:
npm ERR!     /Users/user/.npm/_logs/2017-12-04T06_23_48_071Z-debug.log


→解決せず

追加で必要な情報等ありましたら、ご指摘をお願いします。
以上、よろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

私も以前似たようなエラーがでました。
その際は、以下のStackOverflowの記述を頼りにnpmのバージョンを入れ直し、再度npmモジュールを入れ直したら上手くいきました。
https://github.com/ionic-team/ionic/issues/12357

user$ node --version
v8.6.0
user$ npm --version
5.3.0

投稿 2017/12/06 08:58

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/12/07 09:44

    xiacaさん、ご回答ありがとうございます。
    もうあきらめていましたが、npmのバージョンを入れ直し、
    「node_modules」と「package-lock.json」を削除して、
    再度ionic cordova build iosを実行したら、うまくいきました!

    ありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

ただいまの回答率

91.35%

関連した質問

同じタグがついた質問を見る

  • iOS

    2957questions

    iOSとは、Apple製のスマートフォンであるiPhoneやタブレット端末のiPadに搭載しているオペレーションシステム(OS)です。その他にもiPod touch・Apple TVにも搭載されています。

  • Cordova

    293questions

    Cordovaは様々なデバイスで使うことができるオープンソースなモバイル用開発プラットフォームです。開発者に各デバイスの元のプラットフォームで開発する必要をなくし、HTML・JavaScript・CSSなどの一般的なウェブのテクノロジーを使ってすべてのデバイスで展開することができるモバイルのアプリケーションを生成することを可能にします。

  • Ionic

    53questions

    Ionicは、AngularJSベースのモバイルアプリ向けUIフレームワークです。Apache Cordovaを拡張して作られているため、モバイルアプリ作成に適しています。シンプルなUIも特徴です。

  • Angular

    26questions